=== debian/changelog ===
ahven (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat-7. Closes: #849985.
    Rename runtime and -dev with new SO and ALI versions.
    The lintian warning about executable stack is obsolete with gcc-7.
  * Disable failing build tests. Closes: #870323.
  * Make runtime library package Multi-Arch: same.
  * Enable all hardening flags.
  * Install ahven.gpr to new Debian project path /usr/share/gpr.
  * Documentation
    - README.Debian referencing Debian Ada policy and online documentation.
    - Drop README.source, upstream tarball contains no doc/manual/build.
    - Register tutorial in doc-base.
    - Move ROADMAP to -dev package instead of the runtime package.
  * QA
    - Remove many explicit ALI, SO or gnat versions to ease upgrades.
    - Standards-Version: 4.0.1 (no changes).
    - Debhelper 10. Replace --fail-missing deprecated option.
    - Switch watch file to version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2017 15:01:03 +0200

ahven (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use versioned dev-package as per Debian Ada policy.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Jul 2016 19:38:51 +0200

ahven (2.6-1) unstable; urgency=medium

  * Adjust URL in watch file
  * Imported Upstream version 2.6
  * Transition to gnat-6 compiler (Closes: #830409)
  * Drop obsolete Conflicts/Replaces
  * Update binary package names
  * Switch Vcs-* URLs to HTTPS
  * Update to debhelper 9
  * Update to Standards-Version 3.9.8
  * Switch to comfignat build functionality
  * Rediff patches
  * Add link-with-shared autopkgtest
  * Drop explicit ahven-dbg package

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jul 2016 09:23:47 +0200
