=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 10),
 gnat, gnat-7
# This line is parsed by debian/rules.
Standards-Version: 4.0.1
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git

Package: libahven6-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libahven27 (= ${binary:Version}), gnat, gnat-7
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: libahven27
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
