=== debian/watch ===
version=4
http://www.ahven-framework.com/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
