## ahven 2.7

=== debian/changelog ===
ahven (2.7-3) experimental; urgency=medium

  * Rebuild with GCC-9. Rename library and -dev package accordingly.
  * Add link warnings, remove --as-needed (now the default).
  * Debhelper 12 (does not compress examples). Standards-Version 4.4.1.
  * Add paragraph for public-domain pseudo-license.
  * Add explicit doc-main-package for debhelper.
  * Drop obsolete conflicts.
  * Update variable name in autopkgtests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 Nov 2019 17:24:51 +0100

ahven (2.7-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:38 +0200

ahven (2.7-1) experimental; urgency=medium

  * New upstream release.
  * Fix copyright file. Closes: #904431.
  * Let the new -doc package Break/Replace previous -dev packages,
    because it has taken over the tutorial. Closes: #904504.
  * Standards-Version: 4.2.0. Stop installing NEWS as changelog.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Aug 2018 14:07:29 +0200

ahven (2.7~1-1) experimental; urgency=medium

  * Rebuild with gnat-8. Closes: #903036.
    Rename library (soversion) and -dev (aliversion) packages per Ada policy.
  * Package upstream 2.7 snapshot: mercurial revision 6c0f7ff38c60.
    Build-Depend: gprbuild, gnat has dropped support for .gpr files.
    Remove Library_Interface so that shared lib works with sources visible.
    Build and install user manual, now that it only requires sphinx.
  * Add a documentation package. Split Build-Depends into -Arch and -Indep.
  * Make test logs more verbose, check Library_Interface removal.
  * Switch to debhelper 11 (no changes).
  * Standards-Version 4.1.5. Rules-Requires-Root: no.
  * Update Homepage URL.
  * Make flow and value of build flags visible in logs.
  * Use dh_ada_library.
  * Add me to uploaders.
  * Reenable test for dynamic library, #870323 is fixed.
  * Use HTTPS in watch file.
  * Move LDFLAGS like -z relro before library options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Jul 2018 10:46:43 +0200
