=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 gnat, gnat-9,
# This line is parsed by debian/rules.
# gnat-BV provides a Makefile snippet included by debian/rules.
Build-Depends-Arch:
 dh-ada-library,
 gprbuild,
Build-Depends-Indep:
 python3-sphinx,
 sphinx-common,
# for dh_sphinxdoc
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://www.ahven-framework.com/
Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git

Package: libahven8-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libahven-doc
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: libahven29
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Breaks: libahven4-dev, libahven5-dev, libahven6-dev
Replaces: libahven4-dev, libahven5-dev, libahven6-dev
# The tutorial file has moved from libahven6-dev to the new libahven-doc.
Description: Unit test library for Ada (documentation)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the documentation.
