=== debian/watch ===
version=4
https://www.ahven-framework.com/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
