## ahven 2.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2007-2014 Tero Koskinen <tero.koskinen@iki.fi>
+# Copyright (c) 2007-2016 Tero Koskinen <tero.koskinen@iki.fi>
 #
 # Permission to use, copy, modify, and distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -13,35 +13,23 @@
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
+#
+# This Makefile is meant for Linux systems and uses
+# comfignat.mk settings from gnat_linux/ directory.
+#
+# For more simple build process, use GNAT project files
+# directly from gnat/ directory.
+#
 
-OPTS?="GNAT_BUILDER=gnatmake" OS_VERSION=unix
+# By default, invoke Comfignat's default goal, which builds and stages the
+# library, including the usage project file, but not the documentation.
+default:
+	${MAKE} --directory=gnat_linux
 
-default: base
-
-all:
-	cd gnat && $(MAKE) $(OPTS) all
-
-check:
-	cd gnat && $(MAKE) $(OPTS) check
-
-check_xml:
-	cd gnat && $(MAKE) $(OPTS) check_xml
-
-check_tap:
-	cd gnat && $(MAKE) $(OPTS) check_tap
-
-
-html:
-	cd gnat && $(MAKE) html
-
-install:
-	cd gnat && $(MAKE) $(OPTS) install
-
-base:
-	cd gnat && $(MAKE) $(OPTS) base
-
-clean:
-	cd gnat && $(MAKE) $(OPTS) clean
+# Any goal that isn't named here is delegated to gnat_linux/Makefile.
+# Variables defined on the command line are passed along.
+%:
+	${MAKE} --directory=gnat_linux $@
 
 README.html: README.rst
 	rst2html --stylesheet-path=css/html4css1.css,css/my-docutils.css README.rst > README.html
