=== debian/changelog ===
ahven (2.8-9) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:24:47 +0000

ahven (2.8-8) experimental; urgency=medium

  * Rename the library package with a new shared object version.
  * Build in experimental with dh-ada-library >= 9.1 and gnat >= 13.1.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Remove override for doc main package, now guessed correctly.
  * Remove obsolete stuff from control file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 Dec 2023 21:57:07 +0000

ahven (2.8-7) unstable; urgency=medium

  * Break/Replace libahven*-dev since oldstable. Closes: #1035011.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 10:43:00 +0200

ahven (2.8-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 00:42:54 +0100

ahven (2.8-5) experimental; urgency=medium

  * Build with gcc-12, rename the -dev package but not the shared library
  * Adapt to dh-ada-library 8.1
  * Standards-Version: 4.6.1
  * Prefer execute_before to override/remaining-packages
  * Add note about patches/no-library-interface.diff forwarding
  * Add upstream/metadata

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 30 Aug 2022 19:39:33 +0200

ahven (2.8-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 20:23:32 +0200

ahven (2.8-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:25:11 +0200

ahven (2.8-2) experimental; urgency=medium

  * Rebuild with gnat-11 in experimental. Rename -dev package accordingly.
  * Adapt to new unversioned debian_packaging.mk.
  * Standards-Version: 4.6.0, no changes.
  * Remove obsolete package conflicts.
  * Drop obsolete version restriction in build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Oct 2021 09:25:50 +0000

ahven (2.8-1) unstable; urgency=medium

  * New upstream release (only build system updates).
  * Upload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:24:54 +0100

ahven (2.7-5) experimental; urgency=medium

  * Use debhelper 12 dh-sequence syntax, move gnat to Build-Depends-Arch
  * Drop patch sorting ldflags, forwarded and not required
  * Debhelper 13
  * Pass build flags via the environment
  * Fix copyright years
  * Build with gnat-10, rename lib and -dev accordingly
  * Simplify project path in call to dh-ada-library
  * Link the shared library with LDFLAGS

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 21:45:22 +0000

ahven (2.7-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition. Closes: #952693.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 28 Feb 2020 23:23:59 +0100
