=== debian/control ===
--- 
+++ 
@@ -5,24 +5,31 @@
 Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- gnat, gnat-9,
-# This line is parsed by debian/rules.
-# gnat-BV provides a Makefile snippet included by debian/rules.
+ debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library,
- gprbuild,
+# Ensure a version with gnat versions in ada:Depends:
+ dh-ada-library (>= 9.1),
+# This one triggers a debhelper add-on:
+ dh-sequence-ada-library,
+# Ensure a version where gnat-N provides gnat-N-hash.
+ gnat (>= 13.1),
+# gprbuild compatible with dh-ada-library and gnat-10:
+ gprbuild (>= 2021.0.0.0778b109-2),
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-sphinx,
- sphinx-common,
-# for dh_sphinxdoc
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.ahven-framework.com/
 Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
 Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git
 
-Package: libahven8-dev
+Package: libahven-dev
+Breaks: libahven7-dev, libahven8-dev, libahven9-dev, libahven10-dev,
+ libahven11-dev
+Replaces: libahven7-dev, libahven8-dev, libahven9-dev, libahven10-dev,
+ libahven11-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -35,8 +42,7 @@
  .
  This package contains the development files.
 
-Package: libahven29
-# This line is parsed by debian/rules.
+Package: libahven31
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -53,9 +59,6 @@
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
-Breaks: libahven4-dev, libahven5-dev, libahven6-dev
-Replaces: libahven4-dev, libahven5-dev, libahven6-dev
-# The tutorial file has moved from libahven6-dev to the new libahven-doc.
 Description: Unit test library for Ada (documentation)
  Ahven is a simple unit test library for the Ada 95 programming language. It
  is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
